LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 03-28-2009, 12:13 PM   #1
displacedtexan
LQ Newbie
 
Registered: May 2007
Posts: 22

Rep: Reputation: 15
Gnome/Vmware problem when trying to browse/open vmware images


I am running an up to date Debian Lenny system with vmware 1.08 server installed.

When I run vmware, it appears to start normally. However, when I try to open a previously created image (from a different machine), everything is fine until I hit browse, which causes a screen to pop up that syas "The folder contents could not be displayed VFS error: Invlalid paramteres." and the following shows up on the command line:

Code:
@debian:~$ vmware

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_get_file_info_uri_cancellable: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_get_file_info_uri_cancellable: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_get_file_info_uri_cancellable: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_ref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_get_file_info_uri_cancellable: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_to_string: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_to_string: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_to_string: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_to_string: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed

(vmware:12374): libgnomevfs-CRITICAL **: gnome_vfs_uri_unref: assertion `uri != NULL' failed
Any ideas how to correct? I am thinking of installing either KDE or XFCE and seeing what happens, although that really doesn't fix the problem.

Thanks!!

Last edited by displacedtexan; 03-28-2009 at 12:16 PM.
 
Old 03-28-2009, 12:24 PM   #2
displacedtexan
LQ Newbie
 
Registered: May 2007
Posts: 22

Original Poster
Rep: Reputation: 15
Quick search on google found this solution:

Quote:
cd /usr/lib/vmware/lib
mv libpng12.so.0 libpng12.so.0.old
ln -sf /usr/lib/libpng12.so.0
mv libgcc_s.so.1 libgcc_s.so.1.old
ln -sf /lib/libgcc_s.so.1
Of course I had searched for the errors shown on the command line instead of the popup that yielded the above results.

Unfortuantely now I am getting "Unable to change virtual machine power state: The process exited with an error: End of error message."
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Migrate VMWare images to other VMs? SlowCoder Linux - General 2 06-13-2008 02:01 PM
Gnome Debian Etch VMWare mouse problem imperialbeachdude Linux - Newbie 2 12-17-2007 01:51 AM
LXer: VMware Unveils VMware Tools as Open Source Software LXer Syndicated Linux News 0 09-12-2007 04:10 AM
LXer: How to use VMware Player to create your own images LXer Syndicated Linux News 0 06-15-2006 07:21 PM
Vmware Virtual Machine Problem With Windows In Vmware jvdbossc Linux - Software 2 05-28-2004 07:54 AM


All times are GMT -5. The time now is 07:51 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration